



      INTEGER FUNCTION GVFCBF(BOOLS,NUM)













      IMPLICIT      NONE
      INTEGER       NUM, I
      LOGICAL       BOOLS(NUM)







      GVFCBF=0



      IF (NUM.GT.0) THEN



         GVFCBF=0
         DO 10 I=1,NUM
            IF (.NOT.BOOLS(I)) GVFCBF=GVFCBF+1
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC05')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC06',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      INTEGER FUNCTION GVFCBT(BOOLS,NUM)












      IMPLICIT      NONE
      INTEGER       NUM, I, COUNTER
      LOGICAL       BOOLS(NUM)







      COUNTER=0



      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            IF (BOOLS(I)) COUNTER=COUNTER+1
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC07')
         CALL GVSKIL
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC08',NUM)
      END IF



  998 CONTINUE
      GVFCBT=COUNTER


      RETURN
      END
      INTEGER FUNCTION GVFFBT(BOOLS,NUM)












      IMPLICIT      NONE
      INTEGER       NUM, I
      LOGICAL       BOOLS(NUM)







      GVFFBT=0



      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            IF (BOOLS(I)) THEN
               GVFFBT=I
               GOTO 998
            END IF
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC07A')
         CALL GVSKIL
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC08A',NUM)
         CALL GVSKIL
      END IF



  998 CONTINUE


      RETURN
      END
      INTEGER FUNCTION GVFLBT(BOOLS,NUM)












      IMPLICIT      NONE
      INTEGER       NUM, I
      LOGICAL       BOOLS(NUM)







      GVFLBT=0



      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            IF (BOOLS(I)) GVFLBT=I
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC07B')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC08B',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      LOGICAL FUNCTION GVFIRI(IROW1,IROW2,NUM)
















      IMPLICIT      NONE
      INTEGER       NUM, I
      INTEGER       IROW1(NUM), IROW2(NUM)







      GVFIRI=.FALSE.



      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            IF (IROW1(I).NE.IROW2(I)) GOTO 998
   10    CONTINUE
         GVFIRI=.TRUE.
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC09')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC10',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      REAL FUNCTION GVFLDF(ROW1,ROW2,NUM)











      IMPLICIT      NONE
      INTEGER       NUM, I
      REAL          ROW1(NUM), ROW2(NUM)







      GVFLDF=0.0
      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            GVFLDF=MAX(GVFLDF,ABS(ROW1(I)-ROW2(I)))
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC11')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC12',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      REAL FUNCTION GVFQFC(ROW1,ROW2,NUM)











      IMPLICIT      NONE
      INTEGER       NUM, I
      REAL          ROW1(NUM), ROW2(NUM)







      GVFQFC=0.0
      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            GVFQFC=GVFQFC+(ROW1(I)-ROW2(I))**2
   10    CONTINUE
         GVFQFC=GVFQFC/FLOAT(NUM)
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC13')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC14',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVS2I4 (IROW4,IROW2,NUM)

















      IMPLICIT      NONE
      INTEGER       NUM, I
      INTEGER*4     IROW4(NUM)
      INTEGER*2     IROW2(NUM)







      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            IROW4(I)=IROW2(I)
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC15')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC16',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVS4I2 (IROW2,IROW4,NUM)



















      IMPLICIT      NONE
      INTEGER       NUM, I, ITEMP
      INTEGER*4     IROW4(NUM)
      INTEGER*2     IROW2(NUM)
      LOGICAL       FIRST







      FIRST=.TRUE.



      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            ITEMP=MIN(IROW4(I),2**15-1)
            ITEMP=MAX(ITEMP,-(2**15)+1)
            IF (FIRST.AND.ITEMP.NE.IROW4(I)) THEN
               FIRST=.FALSE.
               CALL GVSTTE ('?TLSC19')
            END IF
            IROW2(I)=ITEMP
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC17')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC18',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSABS (ROW,NUM)











      IMPLICIT      NONE
      INTEGER       NUM, I
      REAL          ROW(NUM)





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            ROW(I)=ABS(ROW(I))
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC20')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC21',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSBND (BROW1,BROW2,BROW3,NUM)












      IMPLICIT      NONE
      INTEGER       I, NUM
      LOGICAL       BROW1(NUM), BROW2(NUM), BROW3(NUM)





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            BROW1(I)=BROW2(I).AND.BROW3(I)
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC22')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC23',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSBOR (BROW1,BROW2,BROW3,NUM)












      IMPLICIT      NONE
      INTEGER       I, NUM
      LOGICAL       BROW1(NUM), BROW2(NUM), BROW3(NUM)





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            BROW1(I)=BROW2(I).OR.BROW3(I)
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC24')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC25',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSCPB (BROW1,BROW2,NUM)















      IMPLICIT      NONE
      INTEGER       I, NUM
      LOGICAL       BROW1(NUM), BROW2(NUM)





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            BROW1(I) = BROW2(I)
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC26')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC27',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSCPI (IROW1,IROW2,NUM)















      IMPLICIT      NONE
      INTEGER       I, NUM
      INTEGER       IROW1(NUM) ,IROW2(NUM)





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            IROW1(I) = IROW2(I)
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC28')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC29',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSCPR (ROW1,ROW2,NUM)















      IMPLICIT      NONE
      INTEGER       I, NUM
      REAL          ROW1(NUM) ,ROW2(NUM)





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            ROW1(I) = ROW2(I)
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC30')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC31',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSFLT (ROW,IROW,NUM)















      IMPLICIT      NONE
      INTEGER       I, NUM
      INTEGER       IROW(NUM)
      REAL          ROW(NUM)





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            ROW(I) = FLOAT(IROW(I))
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC32')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC33',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSIDV (IROW1,IROW2,NUM)



















      IMPLICIT      NONE
      INTEGER       I, NUM
      INTEGER       IROW1(NUM) ,IROW2(NUM)
      LOGICAL       FIRST





      FIRST=.TRUE.

      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            IF (IROW2(I).EQ.0) THEN
               IF (FIRST) CALL GVSTTE ('?TLSC36')
               FIRST=.FALSE.
               IROW1(I)=0
            ELSE
               IROW1(I) = NINT(FLOAT(IROW1(I))/FLOAT(IROW2(I)))
            END IF
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC34')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC35',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSIDL (IROW1,NUM)













      IMPLICIT      NONE
      INTEGER       I, NUM
      INTEGER       IROW1(NUM)





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            IROW1(I)=NINT(FLOAT(IROW1(I))/10.0)
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC34')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC35',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSIMV (IROW1,IROW2,NUM)














      IMPLICIT      NONE
      INTEGER       I, NUM
      INTEGER       IROW1(NUM) ,IROW2(NUM)





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            IROW1(I) = IROW1(I)-IROW2(I)
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC37')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC38',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSIPC (IROW,ICON,NUM)













      IMPLICIT      NONE
      INTEGER       I, NUM, ICON
      INTEGER       IROW(NUM)





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            IROW(I) = IROW(I)+ICON
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC39')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC40',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSIPV (IROW1,IROW2,NUM)














      IMPLICIT      NONE
      INTEGER       I, NUM
      INTEGER       IROW1(NUM) ,IROW2(NUM)





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            IROW1(I)=IROW1(I)+IROW2(I)
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC41')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC42',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSIXI (IROW,ICON,NUM)














      IMPLICIT      NONE
      INTEGER       I, NUM, ICON
      INTEGER       IROW(NUM)





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            IROW(I) = IROW(I)*ICON
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC43')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC44',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSIXR (IROW,CON,NUM)















      IMPLICIT      NONE
      INTEGER       I, NUM
      REAL          CON
      INTEGER       IROW(NUM)





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            IROW(I) = NINT(FLOAT(IROW(I))*CON)
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC45')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC46',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSIXV (IROW1,IROW2,NUM)














      IMPLICIT      NONE
      INTEGER       I, NUM
      INTEGER       IROW1(NUM) ,IROW2(NUM)





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            IROW1(I) = IROW1(I)*IROW2(I)
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC47')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC48',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSMOD (IROW,ICON,NUM)















      IMPLICIT      NONE
      INTEGER       I, NUM, ICON
      INTEGER       IROW(NUM)





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            IROW(I) = MOD(IROW(I),ICON)
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC49')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC50',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSNEG (ROW,NUM)













      IMPLICIT      NONE
      INTEGER       I, NUM
      REAL          ROW(NUM)





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            ROW(I)=-ROW(I)
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC51')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC52',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSREV (ROW,NUM)











      IMPLICIT      NONE
      INTEGER       I, NUM
      REAL          ROW(NUM)





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM/2
            CALL GVSWAP (ROW(I),ROW(NUM+1-I))
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC53')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC54',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSDTR (ROW,NUM)










      IMPLICIT      NONE
      INTEGER       I, NUM
      REAL          ROW(NUM), GVFDTR, TEMP





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            TEMP=ROW(I)
            ROW(I)=GVFDTR(TEMP)
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC53')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC54',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSRTD (ROW,NUM)










      IMPLICIT      NONE
      INTEGER       I, NUM
      REAL          ROW(NUM), TEMP, GVFRTD





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            TEMP=ROW(I)
            ROW(I)=GVFRTD(TEMP)
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC53')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC54',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSRTP (ROW,NUM)










      IMPLICIT      NONE
      INTEGER       I, NUM
      REAL          ROW(NUM), TEMP1, TEMP2, GVFRTD





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            TEMP1=ROW(I)
            TEMP2=GVFRTD(TEMP1)
            ROW(I)=MOD(TEMP2+3600.0,360.0)
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC53')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC54',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSTQR (ROW1,ROW2,NUM)
















      IMPLICIT      NONE
      INTEGER       I, NUM
      REAL          ROW1(NUM), ROW2(NUM)





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            IF (ROW1(I).GE.0.0) THEN
               ROW1(I)=SQRT(ROW2(I))
            ELSE
               ROW1(I)=-(SQRT(-ROW2(I)))
            END IF
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC55')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC56',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSV1O (ROW,NUM)











      IMPLICIT      NONE
      INTEGER       I, NUM
      REAL          ROW(NUM)





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            IF (ABS(ROW(I)).GT.0.000001) ROW(I)=1.0/ROW(I)
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC57')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC58',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSVDC (ROW,CONST,NUM)

















      IMPLICIT      NONE
      INTEGER       I, NUM
      REAL          ROW(NUM), CONST







      IF (ABS(CONST).LT.1E-15) THEN
         CALL GVSTTE ('?TLSC61')
         CALL GVSKIL
         GOTO 998
      END IF



      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            ROW(I) = ROW(I)/CONST
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC59')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC60',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSVDI (ROW,ICON,NUM)

















      IMPLICIT      NONE
      INTEGER       I, NUM, ICON
      REAL          ROW(NUM)







      IF (ICON.EQ.0) THEN
         CALL GVSTTE ('?TLSC64')
         CALL GVSKIL
         GOTO 998
      END IF



      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            ROW(I) = ROW(I)/FLOAT(ICON)
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC62')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC63',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSVRI (ROW,NUM)













      IMPLICIT      NONE
      INTEGER       I, NUM
      REAL          ROW(NUM)







      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            ROW(I) = FLOAT(NINT(ROW(I)))
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC62A')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC63A',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSVDV (ROW1,ROW2,NUM)

















      IMPLICIT      NONE
      INTEGER       I, NUM
      REAL          ROW1(NUM) ,ROW2(NUM)
      LOGICAL       FIRST





      FIRST=.TRUE.

      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            IF (ABS(ROW2(I)).LT.1E-15) THEN
               IF (FIRST) CALL GVSTTE ('?TLSC67')
               FIRST=.FALSE.
               ROW1(I)=0.0
            ELSE
               ROW1(I) = ROW1(I)/ROW2(I)
            END IF
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC65')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC66',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSVMV (ROW1,ROW2,NUM)














      IMPLICIT      NONE
      INTEGER       I, NUM
      REAL          ROW1(NUM) ,ROW2(NUM)





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            ROW1(I) = ROW1(I)-ROW2(I)
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC68')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC69',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSVMC (ROW,CONST,NUM)














      IMPLICIT      NONE
      INTEGER       I, NUM
      REAL          ROW(NUM), CONST





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            ROW(I) = ROW(I)-CONST
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC70')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC71',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSVPC (ROW,CONST,NUM)













      IMPLICIT      NONE
      INTEGER       I, NUM
      REAL          ROW(NUM) , CONST





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            ROW(I) = ROW(I)+CONST
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC72')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC73',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSVPV (ROW1,ROW2,NUM)














      IMPLICIT      NONE
      INTEGER       I, NUM
      REAL          ROW1(NUM) ,ROW2(NUM)





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            ROW1(I) = ROW1(I)+ROW2(I)
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC74')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC75',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSVX2 (ROW,NUM)











      IMPLICIT      NONE
      INTEGER       I, NUM
      REAL          ROW(NUM)





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            ROW(I)=ROW(I)**2
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC76')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC77',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSVXC (ROW,CONST,NUM)













      IMPLICIT      NONE
      INTEGER       I, NUM
      REAL          ROW(NUM), CONST





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            ROW(I) = ROW(I)*CONST
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC78')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC79',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSVXI (ROW,ICON,NUM)














      IMPLICIT      NONE
      INTEGER       I, NUM, ICON
      REAL          ROW(NUM)





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            ROW(I) = ROW(I)*FLOAT(ICON)
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC80')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC81',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSVXV (ROW1,ROW2,NUM)














      IMPLICIT      NONE
      INTEGER       I, NUM
      REAL          ROW1(NUM) ,ROW2(NUM)





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            ROW1(I) = ROW1(I)*ROW2(I)
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC82')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC83',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSELN (ROW,NUM)











      IMPLICIT      NONE
      INTEGER       I, NUM
      REAL          ROW(NUM)





      IF (NUM.GT.0) THEN



         DO 10 I=1,NUM
            IF (ROW(I).GT.0.0) THEN
               ROW(I)=LOG(ROW(I))
            ELSE
               ROW(I)=-999999.9
            END IF
   10    CONTINUE
         GOTO 998
      ELSE IF (NUM.EQ.0) THEN



         CALL GVSTTB ('?TLSC76')
      ELSE IF (NUM.LT.0) THEN



         CALL GVSTTI ('?TLSC77',NUM)
      END IF



  998 CONTINUE


      RETURN
      END
